import React, {Component} from 'react'
import './index.scss';

class HeaderBar extends Component {
    constructor(props) {
        super(props);
    }
    goBack = () => {
        window.history.go(-1);
    }
    goShop = () => {
        location.replace('/shopcart');
    }
    render() {
        return (
            <div className="detail-header" style={{...this.props.style}}>
                <i className={`iconfont ${this.props.arrow ? 'iconiconfront-68' : ''} return`} onClick={this.goBack}></i>
                <span className='herder'>{this.props.title}</span>
                <i className={`iconfont ${this.props.cart ? 'icongouwuche-xianxing' : ''} shopping-cart`} onClick={this.goShop}></i>
            </div>
        );
    }
};

export default HeaderBar;
